---
image: python:3.8
before_script:
  - pip install pipenv
  - pipenv install --dev

stages:
  - lint
  - test
  - deploy

lint:
  stage: lint
  script:
    - make lint

test:
  stage: test
  script:
    - make test
  artifacts:
    when: always
    reports:
      junit: report.xml

deploy:
  stage: deploy
  before_script:
    - eval $(ssh-agent)
    - mkdir -p ~/.ssh
    - chmod 700 ~/.ssh
    - ssh-keyscan -t rsa heroku.com >> ~/.ssh/known_hosts
    - chmod 644 ~/.ssh/known_hosts
    - chmod 0600 $SSH_KEY
    - ssh-add $SSH_KEY
  variables:
    ENV: live
  script:
    - make deploy
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
